// Copyright 2011 Thomas Kamps anubis1@linux-ecke.de
//
//  This program is free software; you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation; either version 3 of the License, or
//  (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the7 implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.

#ifndef BOOKMARK_H
#define BOOKMARK_H

#include <QWidgetAction>
#include <QPushButton>

class Bookmark : public QWidgetAction {
	Q_OBJECT

	public:
		explicit Bookmark(QIcon icon, QString url, QString title, QObject *parent = 0);
		~Bookmark();

		void hideDeleteButton() { m_bDelete->hide(); }

		QString url() { return m_url; }
		bool toBeDeleted() { return deleteMe; }

	signals:
		void triggered(QString url);
		void deleted(Bookmark* m);

	public slots:
		void trigger() { emit(triggered(m_url)); }
		void deleteIt() { deleteMe = true; emit(triggered(m_url)); }

	private:
		QPushButton* m_button;
		QPushButton* m_bDelete;
		QString m_url;
		QString m_title;

		bool deleteMe;

};

#endif // BOOKMARK_H
