// Copyright 2011 Thomas Kamps anubis1@linux-ecke.de
//
//  This program is free software; you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation; either version 3 of the License, or
//  (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the7 implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.

#ifndef BROWSERTAB_H
#define BROWSERTAB_H

#include <QObject>
#include <QToolButton>
#include <QMenu>

#include "webtab.h"

class BrowserTab : public QObject {
	Q_OBJECT

	public:
		explicit BrowserTab(QObject *parent = 0);
		~BrowserTab();
		WebTab* content;
		QToolButton* tabButton;
		bool isEmptyPage();

	signals:
		void selected(WebTab* tab);
		void closed(BrowserTab* tab);

	public slots:
		void back();
		void forward();
		void stop();
		void reload();

		void showTab();

		void goTo(QString url, bool hideUrlBar=true);

	private slots:
		void setTitle(QString title);
		void closeTab();
		void urlBarHidden();

		void setSSL(bool sslUsed);
		void setSSLError();

	private:
		QMenu* menu;
		QAction* acShow;
		QAction* acEditUrl;
		QAction* acClose;

		bool ssl;
		bool sslOk;
};

#endif // BROWSERTAB_H
