// Copyright 2011 Thomas Kamps anubis1@linux-ecke.de
//
//  This program is free software; you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation; either version 3 of the License, or
//  (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the7 implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.

#ifndef WEBTAB_H
#define WEBTAB_H

#include <QWidget>
#include <QLineEdit>
#include <QWebView>
#include <QVBoxLayout>

class WebTab : public QWidget {
	Q_OBJECT

	public:
		explicit WebTab(QWidget *parent = 0);
		~WebTab();
		QString currentURL();
		bool isEmptyPage();

	signals:
		void titleChanged(QString title);
		void urlBarHidden();
		void isSSL(bool sslUsed);
		void sslError();

	public slots:
		void back();
		void forward();
		void stop();
		void reload();
		void showUrlBar();
		void goTo(QString url, bool hideUrlBar=true);

	private slots:
		void showUrl(QUrl url);
		void loadUrl();

	private:
		QVBoxLayout* layout;
		QLineEdit* urlBar;
		QWebView* view;
};

#endif // WEBTAB_H
